Debian Bug report logs - #657781
virtuoso-opensource: unbuildable on s390

version graph

Package: src:virtuoso-opensource; Maintainer for src:virtuoso-opensource is Debian Krap Maintainers <debian-qt-kde@lists.debian.org>;

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Sat, 28 Jan 2012 18:12:05 UTC

Severity: serious

Found in version virtuoso-opensource/6.1.3+dfsg1-2

Fixed in version virtuoso-opensource/6.1.3+dfsg1-2.1

Done: Jo Shields <directhex@apebox.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Obey Arthur Liu <arthur@milliways.fr>:
Bug#657781; Package src:virtuoso-opensource. (Sat, 28 Jan 2012 18:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to Obey Arthur Liu <arthur@milliways.fr>. (Sat, 28 Jan 2012 18:12:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: submit@bugs.debian.org
Subject: virtuoso-opensource: unbuildable on s390
Date: Sat, 28 Jan 2012 18:08:46 +0000
Source: virtuoso-opensource
Version: 6.1.3+dfsg1-2
Severity: serious

Hi,

mono is no longer built on s390.  As a consequence, virtuoso-opensource
is no longer buildable on that architecture due to mono-related
build-dependencies.  Please consider making the build-dependency
architecture-specific and not building the -cil binary packages on
s390*.

Regards,

Adam





Added indication that bug 657781 blocks 648775 Request was from "Adam D. Barratt" <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 28 Jan 2012 19:24:07 GMT) Full text and rfc822 format available.

Reply sent to Jo Shields <directhex@apebox.org>:
You have taken responsibility. (Sun, 05 Feb 2012 19:39:04 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Sun, 05 Feb 2012 19:39:04 GMT) Full text and rfc822 format available.

Message #12 received at 657781-close@bugs.debian.org (full text, mbox):

From: Jo Shields <directhex@apebox.org>
To: 657781-close@bugs.debian.org
Subject: Bug#657781: fixed in virtuoso-opensource 6.1.3+dfsg1-2.1
Date: Sun, 05 Feb 2012 19:36:46 +0000
Source: virtuoso-opensource
Source-Version: 6.1.3+dfsg1-2.1

We believe that the bug you reported is fixed in the latest version of
virtuoso-opensource, which is due to be installed in the Debian FTP archive:

libvirtodbc0_6.1.3+dfsg1-2.1_amd64.deb
  to main/v/virtuoso-opensource/libvirtodbc0_6.1.3+dfsg1-2.1_amd64.deb
libvirtuoso5.5-cil_6.1.3+dfsg1-2.1_amd64.deb
  to main/v/virtuoso-opensource/libvirtuoso5.5-cil_6.1.3+dfsg1-2.1_amd64.deb
virtuoso-minimal_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-minimal_6.1.3+dfsg1-2.1_all.deb
virtuoso-opensource-6.1-bin_6.1.3+dfsg1-2.1_amd64.deb
  to main/v/virtuoso-opensource/virtuoso-opensource-6.1-bin_6.1.3+dfsg1-2.1_amd64.deb
virtuoso-opensource-6.1-common_6.1.3+dfsg1-2.1_amd64.deb
  to main/v/virtuoso-opensource/virtuoso-opensource-6.1-common_6.1.3+dfsg1-2.1_amd64.deb
virtuoso-opensource-6.1_6.1.3+dfsg1-2.1_amd64.deb
  to main/v/virtuoso-opensource/virtuoso-opensource-6.1_6.1.3+dfsg1-2.1_amd64.deb
virtuoso-opensource_6.1.3+dfsg1-2.1.diff.gz
  to main/v/virtuoso-opensource/virtuoso-opensource_6.1.3+dfsg1-2.1.diff.gz
virtuoso-opensource_6.1.3+dfsg1-2.1.dsc
  to main/v/virtuoso-opensource/virtuoso-opensource_6.1.3+dfsg1-2.1.dsc
virtuoso-opensource_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-opensource_6.1.3+dfsg1-2.1_all.deb
virtuoso-server_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-server_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-bpel_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-bpel_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-conductor_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-conductor_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-demo_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-demo_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-doc_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-doc_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-isparql_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-isparql_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-ods_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-ods_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-rdfmappers_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-rdfmappers_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-sparqldemo_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-sparqldemo_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-syncml_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-syncml_6.1.3+dfsg1-2.1_all.deb
virtuoso-vad-tutorial_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vad-tutorial_6.1.3+dfsg1-2.1_all.deb
virtuoso-vsp-startpage_6.1.3+dfsg1-2.1_all.deb
  to main/v/virtuoso-opensource/virtuoso-vsp-startpage_6.1.3+dfsg1-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657781@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jo Shields <directhex@apebox.org> (supplier of updated virtuoso-opensource package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 31 Jan 2012 18:25:09 +0000
Source: virtuoso-opensource
Binary: virtuoso-opensource virtuoso-server virtuoso-minimal virtuoso-opensource-6.1 virtuoso-opensource-6.1-common virtuoso-opensource-6.1-bin virtuoso-vsp-startpage virtuoso-vad-conductor virtuoso-vad-doc virtuoso-vad-demo virtuoso-vad-tutorial virtuoso-vad-rdfmappers virtuoso-vad-sparqldemo virtuoso-vad-syncml virtuoso-vad-bpel virtuoso-vad-isparql virtuoso-vad-ods libvirtodbc0 libvirtuoso5.5-cil
Architecture: source all amd64
Version: 6.1.3+dfsg1-2.1
Distribution: unstable
Urgency: low
Maintainer: Obey Arthur Liu <arthur@milliways.fr>
Changed-By: Jo Shields <directhex@apebox.org>
Description: 
 libvirtodbc0 - high-performance database - ODBC libraries
 libvirtuoso5.5-cil - high-performance database - Mono assemblies
 virtuoso-minimal - high-performance database - core dependency package
 virtuoso-opensource - high-performance database
 virtuoso-opensource-6.1 - high-performance database - support files
 virtuoso-opensource-6.1-bin - high-performance database - binaries
 virtuoso-opensource-6.1-common - high-performance database - common files
 virtuoso-server - high-performance database - server dependency package
 virtuoso-vad-bpel - high-performance database - BPEL module
 virtuoso-vad-conductor - high-performance database - conductor module
 virtuoso-vad-demo - high-performance database - demo module
 virtuoso-vad-doc - high-performance database - documentation module
 virtuoso-vad-isparql - high-performance database - iSPARQL module
 virtuoso-vad-ods - high-performance database - Open Data Spaces module
 virtuoso-vad-rdfmappers - high-performance database - RDF mappers module
 virtuoso-vad-sparqldemo - high-performance database - SPARQL demo module
 virtuoso-vad-syncml - high-performance database - SyncML module
 virtuoso-vad-tutorial - high-performance database - tutorial module
 virtuoso-vsp-startpage - high-performance database - web interface files
Closes: 657781 658166
Changes: 
 virtuoso-opensource (6.1.3+dfsg1-2.1) unstable; urgency=low
 .
   * Non-maintainer upload
   * Refresh list of Mono architectures in debian/control
     (Closes: #657781)
   * Use system default Mono compiler by using the mono-devel package
     and the mono-csc command therein (Closes: #658166)
Checksums-Sha1: 
 e868bf9a0b09d0da3c85e64bf69aaadda092568e 3435 virtuoso-opensource_6.1.3+dfsg1-2.1.dsc
 1e42468facb6beeeb0460a19f0daf03afa696963 74818 virtuoso-opensource_6.1.3+dfsg1-2.1.diff.gz
 4efd5bafc224202e2ed1ab5c53b7e74a6e035e04 85630 virtuoso-opensource_6.1.3+dfsg1-2.1_all.deb
 b83be50687a08a2153a62dd04f90d6da7f59880c 83090 virtuoso-server_6.1.3+dfsg1-2.1_all.deb
 2b42aba40073264f67a89ad78919db2cf84c5822 83118 virtuoso-minimal_6.1.3+dfsg1-2.1_all.deb
 6c0693db65f3278597cb706ee2ba9c45ddba5546 564248 virtuoso-vsp-startpage_6.1.3+dfsg1-2.1_all.deb
 0a36e17e590d48dc5e70a8191e1eccf70e82893c 1340210 virtuoso-vad-conductor_6.1.3+dfsg1-2.1_all.deb
 3d695c83b9f031f506c0cca55fdc005e3ad652f4 39874402 virtuoso-vad-doc_6.1.3+dfsg1-2.1_all.deb
 65dd09f26054892a03dd2a68e11dd90e574c25f5 10000422 virtuoso-vad-demo_6.1.3+dfsg1-2.1_all.deb
 1babfc28ff9f3dc85243147c47dfaa0d400959ed 5222686 virtuoso-vad-tutorial_6.1.3+dfsg1-2.1_all.deb
 4275c62b802daa3078562b8aa510cbfcaadaaf2a 2192930 virtuoso-vad-rdfmappers_6.1.3+dfsg1-2.1_all.deb
 dffe1880887ca271ad62ccc743070a10a93ceb59 628144 virtuoso-vad-sparqldemo_6.1.3+dfsg1-2.1_all.deb
 07f8de25f4712f38ba598aeb950153ef5b384e5c 104510 virtuoso-vad-syncml_6.1.3+dfsg1-2.1_all.deb
 141b7d27f8ac2dee596392fa04e88754a410ba58 372526 virtuoso-vad-bpel_6.1.3+dfsg1-2.1_all.deb
 3134c932777fcbd69ae5037552fa569d3bdc91a3 777480 virtuoso-vad-isparql_6.1.3+dfsg1-2.1_all.deb
 8550cc8800fa9ff59130ea963aa7f7608a20c83e 5813122 virtuoso-vad-ods_6.1.3+dfsg1-2.1_all.deb
 09f6e650dd001013efda70976356a860e5594393 312814 virtuoso-opensource-6.1_6.1.3+dfsg1-2.1_amd64.deb
 f37a07dac78fed6d5233044bdffebc7dbaf67351 101428 virtuoso-opensource-6.1-common_6.1.3+dfsg1-2.1_amd64.deb
 93332a634f22ead6efd216321b7a1ad164eedf49 4050236 virtuoso-opensource-6.1-bin_6.1.3+dfsg1-2.1_amd64.deb
 6dd6ac3e7074af8604dcdfc08489cb896928688a 872534 libvirtodbc0_6.1.3+dfsg1-2.1_amd64.deb
 106b8ec1a7a1a39e822990e337592a8adfb6f018 151678 libvirtuoso5.5-cil_6.1.3+dfsg1-2.1_amd64.deb
Checksums-Sha256: 
 5c01a539a2a9e98cd103e5b79a3757c41d2c8ed8aacc50a993a5a5a9334a75e5 3435 virtuoso-opensource_6.1.3+dfsg1-2.1.dsc
 5f263b4fa44ba5a3bac45e574fe6d64364f078f65046d07ca1b26d73371e3295 74818 virtuoso-opensource_6.1.3+dfsg1-2.1.diff.gz
 aa722714c75294f6b5a2e8ec7564b35b64a06e4a6e608e1cc55e8dfe7b29c5b1 85630 virtuoso-opensource_6.1.3+dfsg1-2.1_all.deb
 6c1a421ee4cbb3b8069148cad27d1441ad355bfb572e0e0f63ce781e921ca00a 83090 virtuoso-server_6.1.3+dfsg1-2.1_all.deb
 d5a67e25450bb262b930136ea913b2ea429e2d6b0181be22f620374b7d0437f2 83118 virtuoso-minimal_6.1.3+dfsg1-2.1_all.deb
 85116a988cd5d88ececdcc2e6e1af8b2d3f5f127d45e5cf50ad53d9df95ad1a6 564248 virtuoso-vsp-startpage_6.1.3+dfsg1-2.1_all.deb
 6814d68157b3171fc62fbcda393c16fc3a201f6e65423552d9be8a31443fd6b3 1340210 virtuoso-vad-conductor_6.1.3+dfsg1-2.1_all.deb
 1b8870a25025ab8162ec498f23fee8561f9c526c210d8a2b76a0b1adda6784e1 39874402 virtuoso-vad-doc_6.1.3+dfsg1-2.1_all.deb
 c2a0e63aa1bbeb56cf5785dffac3ccd71fda152bb7f237fbb5d3b939b5c40c38 10000422 virtuoso-vad-demo_6.1.3+dfsg1-2.1_all.deb
 063ba3254baa2ff9b9bf7979ab7b25d9a895923791e88e12e9929e0fe198fc9a 5222686 virtuoso-vad-tutorial_6.1.3+dfsg1-2.1_all.deb
 92b9822a08b81215ebb7cd3ff9c0c34813f0d6f6e2624cf9e790e8b4843f7a08 2192930 virtuoso-vad-rdfmappers_6.1.3+dfsg1-2.1_all.deb
 7d875b95b5844a7f0552fd848f021cdccc97763a36a74efcf50f0a784e8f45f2 628144 virtuoso-vad-sparqldemo_6.1.3+dfsg1-2.1_all.deb
 d7bcebd54f5e4bfe8dc336686875054dc1bf2758c6227ac045a2acca753ec88d 104510 virtuoso-vad-syncml_6.1.3+dfsg1-2.1_all.deb
 3b20b8498a32ed960a2a3dcf7f5d60fd57f95545092fb05149c2fb150a22f2c6 372526 virtuoso-vad-bpel_6.1.3+dfsg1-2.1_all.deb
 1f3c602ba5ae115bd13de8436808e7cecb2f8be6782f9b08e13e56206d8514a3 777480 virtuoso-vad-isparql_6.1.3+dfsg1-2.1_all.deb
 3642f1402baccd12367e8a86e714b0ae87fe3b31a2a8312a75a24d892389f798 5813122 virtuoso-vad-ods_6.1.3+dfsg1-2.1_all.deb
 77d1579fcc6fda4e817eec474b64ebd6177d1cc3b6abc6e592ede6f056a56bc3 312814 virtuoso-opensource-6.1_6.1.3+dfsg1-2.1_amd64.deb
 19e9d75e287ee1e835cbe7e35ec5f36484d8daf36c09bc7deba21eaad9952237 101428 virtuoso-opensource-6.1-common_6.1.3+dfsg1-2.1_amd64.deb
 a1225e38ba331a57ff4121eeea27feb4fa9ad033a7a9641a04237078d530540a 4050236 virtuoso-opensource-6.1-bin_6.1.3+dfsg1-2.1_amd64.deb
 52df183ac016317e785d41c775b78bee42ac3123b815d4d9fc4659815f088f06 872534 libvirtodbc0_6.1.3+dfsg1-2.1_amd64.deb
 1eda69f6b467b417063913b6a9189f44f77a48e4653c7d80a24b94f5dac4bd8b 151678 libvirtuoso5.5-cil_6.1.3+dfsg1-2.1_amd64.deb
Files: 
 1ed1a4ee3585b162f46058b5e2161e06 3435 database optional virtuoso-opensource_6.1.3+dfsg1-2.1.dsc
 885068114f4bab0d39727a3cabf99a96 74818 database optional virtuoso-opensource_6.1.3+dfsg1-2.1.diff.gz
 5862b35d28db12f51a21eb63c7a70d8e 85630 database optional virtuoso-opensource_6.1.3+dfsg1-2.1_all.deb
 7159eeb913ff4432dcc1bc25382ee743 83090 database optional virtuoso-server_6.1.3+dfsg1-2.1_all.deb
 b04cac53e98271296e1dc9dc5dba2ecc 83118 database optional virtuoso-minimal_6.1.3+dfsg1-2.1_all.deb
 4fadbb8099aedc68b036d8b04ddecbaa 564248 database optional virtuoso-vsp-startpage_6.1.3+dfsg1-2.1_all.deb
 594acca9733dc2fc2c917deb14c99f1d 1340210 database optional virtuoso-vad-conductor_6.1.3+dfsg1-2.1_all.deb
 363ed8bfe175f0517dcf929cbefdb2a1 39874402 doc optional virtuoso-vad-doc_6.1.3+dfsg1-2.1_all.deb
 d0bce558c77fd2aa451900b7c686fb41 10000422 doc optional virtuoso-vad-demo_6.1.3+dfsg1-2.1_all.deb
 c06208d4c9d22de4f7716e51060f05a1 5222686 doc optional virtuoso-vad-tutorial_6.1.3+dfsg1-2.1_all.deb
 cf5fd348cb25fe0273d52b47ab1a2008 2192930 database optional virtuoso-vad-rdfmappers_6.1.3+dfsg1-2.1_all.deb
 5f2411f440cb245a8ac54d1a24f940c9 628144 database optional virtuoso-vad-sparqldemo_6.1.3+dfsg1-2.1_all.deb
 89453d9582270312295a2022a0f62bbb 104510 database optional virtuoso-vad-syncml_6.1.3+dfsg1-2.1_all.deb
 d236e70d281d7f1682ccda3b9f10393a 372526 database optional virtuoso-vad-bpel_6.1.3+dfsg1-2.1_all.deb
 152ac08094b0d5c5d9a839d67d9a02bc 777480 database optional virtuoso-vad-isparql_6.1.3+dfsg1-2.1_all.deb
 df3c8484079a40169b297016a6c755bc 5813122 database optional virtuoso-vad-ods_6.1.3+dfsg1-2.1_all.deb
 e3dba4f41b5bb591d47cd196fc93b1b6 312814 database optional virtuoso-opensource-6.1_6.1.3+dfsg1-2.1_amd64.deb
 634647ed9904038d253c853423082459 101428 database optional virtuoso-opensource-6.1-common_6.1.3+dfsg1-2.1_amd64.deb
 66d4b812f2d3c8b2c411e4adc3bccfb3 4050236 database optional virtuoso-opensource-6.1-bin_6.1.3+dfsg1-2.1_amd64.deb
 4c2814d1c05f39fd99aee8766ce33775 872534 database optional libvirtodbc0_6.1.3+dfsg1-2.1_amd64.deb
 e5b4b70a6ad2655e29f19f473eba9ea4 151678 cli-mono optional libvirtuoso5.5-cil_6.1.3+dfsg1-2.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBAgAGBQJPKDhkAAoJEMkPnLkOH60M6L8H/24a2JsbyExfUfk8t6NLHfTZ
Qko/4NCRRQKtrfI4MMLlnETWsRj0C0iJu4CqV8SNS6Z1nBSB/xEL5W9nu/E9w11y
pqc1PXOBS4GkqENcAR823gwsj9GTUfC38DJU/iHVlumXW0LtKahUtsFXcQu3Tzt+
PDAOfaAeYWcNcoheAYoN8RydciYiRRL8cN5RP+QDvUen1uYveV5b4L5nw1Qxhvki
13Ooz4PwKY03357TTcinolnwd1bw5ek1Imzs2Wad6r++FuXBM+CtjreszfhIqNsV
Nca2q9YdhbguYen08W2oYy00PCgT1tgP/zJ3foGMwQz6PYN/ozQJxUS1GpIG0Us=
=tMzk
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 May 2012 07:43:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:08:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.